package app02d.action;

import app02d.form.EmployeeForm;
import app02d.to.EmployeeTO;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

public class SaveEmployeeAction extends Action {

  public ActionForward execute(ActionMapping mapping, ActionForm form,
    HttpServletRequest request, HttpServletResponse response) throws Exception {

  	EmployeeForm employeeForm = (EmployeeForm) form;
    EmployeeTO employee = new EmployeeTO();
    employee.setPosition(employeeForm.getPosition());
    employee.setFirstName(employeeForm.getFirstName());
    employee.setLastName(employeeForm.getLastName());
    employee.setAddress1(employeeForm.getAddress1());
    employee.setAddress2(employeeForm.getAddress2());
    
  	// persist the EmployeeTO object to the database
  	
    request.setAttribute("employee", employee);
    return (mapping.findForward("success"));
  }
}
